Subject: [bug#69185] [PATCH master] gnu: ocaml: Update to 5.1.1

From: Ludovic Courtès <[email-masked]>
Date: Fri, 29 Mar 2024 23:19:02 +0100

Hello pukkamustard,

pukkamustard <[email-masked]> skribis:

> Hm, I'd say it's good to keep versions around that are being used by
> other packages in Guix or it is a version where we can assume that
> significant amount of people are using it from Guix for things outside
> of Guix.
>
> I think OCaml 5.0 is neither:
>
> - The ocaml5.0-* packages are mostly to get a working development
>   environment (ocaml5.0-merlin and dependencies).
> - Our ocaml5.0-eio is outdated and the recently released Eio 1.0.0 only
>   supports OCaml 5.1.1 or later.
> - There's not much reason to use OCaml 5.0 when OCaml 5.1 is available.
>
> I'd suggest replacing OCaml 5.0 with OCaml 5.1 in Guix.

Can removing 5.0 be done in a followup patch?  Should we apply this
patch in this meantime, or would you suggest adjusting it beforehand?

Thanks,
Ludo’.